<?php
 
 
 

namespace PhpWA\Protocol\Proto\BotMessageOrigin;

use UnexpectedValueException;




class BotMessageOriginType
{
    


    const BOT_MESSAGE_ORIGIN_TYPE_AI_INITIATED = 0;

    private static $valueToName = [
        self::BOT_MESSAGE_ORIGIN_TYPE_AI_INITIATED => 'BOT_MESSAGE_ORIGIN_TYPE_AI_INITIATED',
    ];

    public static function name($value)
    {
        if (!isset(self::$valueToName[$value])) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no name defined for value %s', __CLASS__, $value));
        }
        return self::$valueToName[$value];
    }


    public static function value($name)
    {
        $const = __CLASS__ . '::' . strtoupper($name);
        if (!defined($const)) {
            throw new UnexpectedValueException(sprintf(
                    'Enum %s has no value defined for name %s', __CLASS__, $name));
        }
        return constant($const);
    }
}

